#include "component_ammo.h"

/* Sets ammo component info. */
void
component_ammo_init(ComponentAmmo* self, u32 ammo)
{
	self->ammoMax = ammo;
	self->ammo = self->ammoMax;
}

/* Ticks ammo component. If ammo is depleted, marks as out. */
void
component_ammo_tick(ComponentAmmo* self, ECS* ecs)
{
	if (self->ammo <= 0)
		self->isOut = true;
}
