#pragma once

#include "../../GAME_COMMON.h"
#include "../ecs_entity.h"

typedef struct ComponentAmmo
{
	u32 id;
	u32 ammoMax;
	u32 ammo;
	bool isOut;
} ComponentAmmo;

void component_ammo_init(ComponentAmmo* self, u32 ammo);
void component_ammo_tick(ComponentAmmo* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_AMMO_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_ammo_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_AMMO,
	.size = sizeof(ComponentAmmo)
};


