#pragma once

#include "../../ecs_component.h"
#include "../../component/component_game_object.h"
#include "../../component/component_control_move.h"
#include "../../component/component_control_shoot.h"
#include "../../component/component_shoot.h"
#include "../../component/component_lifetime.h"

#include "entity_snake.h"

#define PLAYER_SPEED 0.85
#define PLAYER_FRICTION 0.9
#define PLAYER_VELOCITY_MAX 6
#define PLAYER_SHOOT_SPEED 5
#define PLAYER_SHOOT_OFFSET 32
static const vec2 PLAYER_SIZE = {50.0f, 100.0f};

void entity_player_init(ECS* ecs, u32 id, vec3 position);
