#include "entity_snake.h"

/* Initializes a snake entity. */
void
entity_snake_init(ECS* ecs, u32 id, vec3 position)
{
	ComponentGameObject* gameObject;

	gameObject = ecs_component_add(ecs, ECS_COMPONENT_GAME_OBJECT, id);
	
	component_game_object_init
	(
		gameObject,
		ecs,
		ecs->game->resources.textures[TEXTURE_SNAKE],
		SHADER_TEXTURE_QUAD,
		ORIGIN_CENTER,
		(f32*)SNAKE_SIZE,
		position,
		(f32*)COLOR_OPAQUE,
		SNAKE_FRICTION,
		SNAKE_VELOCITY_MAX
	);
}
