#include "component_control_shoot.h"

/* DEPENDENCIES: Shoot */

/* Ticks control_shoot component. */
void
component_control_shoot_tick(ComponentControlShoot* self, ECS* ecs)
{
	if (input_press(&ecs->game->input, INPUT_SHOOT))
	{
		ComponentShoot* shoot;

		shoot = ecs_component_get(ecs, ECS_COMPONENT_SHOOT, self->id);

		shoot->isFire = true;
	}
}
