#include "component_health.h"

/* Sets health component info. */
void
component_health_init(ComponentHealth* self, u32 health)
{
	self->healthMax = health;
	self->health = self->healthMax;
}

/* Ticks health component. If health is depleted, marked dead. */
void
component_health_tick(ComponentHealth* self, ECS* ecs)
{
	if (self->health <= 0)
		self->isDead = true;
}
